Install/Update Hyperion.ng on LibreELEC

    • Official Post

    Install the latest version

    Log on to LibreELEC via SSH and execute the following command:


    curl -sSL https://releases.hyperion-project.org/install | bash

    Update to the latest version

    1) Log on to LibreELEC via SSH and remove the current version via following command:


    curl -sSL https://releases.hyperion-project.org/install | bash -s -- --remove


    2) Install the latest version, see above.


    Note: Your configuration database will not be deleted.

    Nevertheless, it is advised to export the configuration as a backup.

  • Lord-Grey

    Added the Label Tutorial
  • Hello, I get an error


    LibreELEC:~ # curl -sSL https://releases.hyperion-project.org/install | bash

    INFO : Identified distribution "libreelec"

    INFO : Start GitHub release installation.

    INFO : Latest GibHub release identified: 2.0.16

    ERROR: Download URL was not resolved.


    raspberry pi 3


    I found that no version 2.0.16 for armv7l, how to change script to install 2.0.15?

    Edited 2 times, last by Weresk: Merged a post created by Weresk into this post. ().

    • Official Post

    Hi

    thanks for sharing the details of your system and the log.


    I assume that the script requires to be updated to work with python2 which is part of libreelec 9.2.8.

    LibereElec 10+ make use of python3 and the script works.


    I need to check this out....

  • HI



    I tried to install latest libreelec and latest Hyperion, but apparently that doesn’t work with internal grabber.

    now I try to revert back to libreelec 10.0.4 with Hyperion 2.0.15 but how do I install the previous version?


    in 2.0.16 I can't seem to select the X11 frame grabber.

  • Hi


    It took a bit to get it all working. Couldn’t get it to work on any version with 2.0.16:

    fresh install of Libreelec 10.0.4 x86

    than install Hyperion 2.0.15 using ssh (found to this old/deleted thread

    howto-install-hyperion-ng-on-libreelec-x86_64-rpi-inoffiziell-unofficially)

    Code
    wget -qO- https://git.io/JU4Zx | bash -s 2.0.15

    add to autostart.sh

    Bash
    #!/bin/bash
    systemctl restart hyperion.service

    and it works

    • Official Post

    Note, the script you used is not longer supported.

    It would be great, if you could share what is not working with the latest install script and 2.0.16.

    In case there are issues, we could have them addressed for the benefit of the overall community.

  • i used that script because i didn't know how to install the older version of hyperion with the new script

    the old one gave me an example i could just copy and edit. (looking at it now probably just add (-s 2.0.15) to the end of the new script)

    the new script works fine with 2.0.16 didn't try with 2.0.15.


    I tried 2.0.16 on libreelec 9.0.2, 9.2.6, 10.0.4 and 11.0.6 but on none of them I got x11 working.

    with 2.0.15, x11 works on 9.2.6, and 10.0.4 not on 9.0.2 and 11.0.6.

    • Official Post

    I tried 2.0.16 on libreelec 9.0.2, 9.2.6, 10.0.4 and 11.0.6 but on none of them I got x11 working.

    Thanks that you shared more details, as it helped to find a problem in the new install script.

    I removed the DISPLAY environment variable to the service definition under the assumption that LibreELEC moved to GBM for all platforms.

    I corrected the script and now you should be able to install 2.0.16 with LibreELEC on amd64.

    Sorry for the inconvenience.


    Note: Please backup your configuration file and import it into 2.0.16.
    The config file location on LibeELEC was moved to the standard location as on other platforms.


    I successfully installed Hyperion 2.0.16 on LibreELEC 9.2.6 (see picture below).

    If you want to run LibreELEC 11.0.6, you need to use the Generic-Legacy image to run with X11.
    see https://libreelec.tv/2024/01/29/libreelec-nexus-11-0-6/

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!